Bug 249248 - iscsistart couldn't create a new connection in initrd
iscsistart couldn't create a new connection in initrd
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: iscsi (Show other bugs)
7
All Linux
low Severity high
: ---
: ---
Assigned To: Tom Coughlan
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-07-23 06:01 EDT by Yi Yang
Modified: 2008-06-16 21:56 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-16 21:56:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Yi Yang 2007-07-23 06:01:09 EDT
Description of problem:
When using iSCSI to boot remotely, iscsistart couldn't create a new connection
to target, but the same iscsistart command could create a new connecton with
target when mounting local disk and entering single user mode with the same kernel.

There is such a dmesg message:

iscsi: couldn't create a new connection for session 0.

it is from the file drivers/scsi/scsi_transport_iscsi.c.


Version-Release number of selected component (if applicable):
2.6.21-1.3194.fc7

How reproducible:
Can be reproduced ervery time.

Steps to Reproduce:
1. Install iscsi-initiator-utils.
2. Setup iSCSI target
3. service iscsid start
4. service iscsi start
5. Discovery target and login
6. mkinitrd -f iscsi.img --preload iscsi_tcp `uname -r`
7. Use new initrd to boot the system.
8. iscsistart will output error information.

  
Actual results:
iscsistart report errors and can't create connection to target

Expected results:
iscsistart should create connection to target and discovery a SCSI device

Additional info:
I ensure the network can work via adding a ping command to target before
iscsistart. The target works very well.
Comment 1 Lubomir Kundrak 2008-02-09 11:45:16 EST
Are you still able to reproduce this?
Does adding --with crc32c fix the problem? (see bug #208607)
Comment 2 Bug Zapper 2008-05-14 09:38:01 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2008-06-16 21:56:18 EDT
Fedora 7 changed to end-of-life (EOL) status on June 13, 2008. 
Fedora 7 is no longer maintained, which means that it will not 
receive any further security or bug fix updates. As a result we 
are closing this bug. 

If you can reproduce this bug against a currently maintained version 
of Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.